## ros-humble-ros-gz-sim 0.244.16

=== debian/changelog ===
ros-humble-ros-gz-sim (0.244.16-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.15-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 02 Jul 2024 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.14-1bookworm) bookworm; urgency=high

  * Support <gazebo_ros> in package.xml exports (#492 <https://github.com/gazebosim/ros_gz/issues/492>)
    This copies the implementation from gazebo_ros_paths.py to provide a
    way for packages to set resource paths from package.xml.
    ```
    e.g.  <export>
    <gazebo_ros gazebo_model_path="${prefix}/models"/>
    <gazebo_ros gazebo_media_path="${prefix}/models"/>
    </export>
    ```
    The value of gazebo_model_path and gazebo_media_path is appended to GZ_SIM_RESOURCE_PATH
    The value of plugin_path appended to GZ_SIM_SYSTEM_PLUGIN_PATH
    ---------
  * Contributors: Addisu Z. Taddese

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.13-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.12-1bookworm) bookworm; urgency=high

  * Add support for Harmonic/Humble pairing (#462 <https://github.com/gazebosim/ros_gz/issues/462>)
  * Set on_exit_shutdown argument for gz-sim ExecuteProcess (#355 <https://github.com/gazebosim/ros_gz/issues/355>) (#451 <https://github.com/gazebosim/ros_gz/issues/451>)
  * Contributors: Addisu Z. Taddese, Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.11-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.10-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.9-1bookworm) bookworm; urgency=high

  * Export ROS Stopwatch library (#299 <https://github.com/gazebosim/ros_gz/issues/299>) (#322 <https://github.com/gazebosim/ros_gz/issues/322>)
    New Stopwatch library needs to be exported and built as shared
    Co-authored-by: Michael Anderson <mailto:anderson@mbari.org>
  * Contributors: Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.8-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.7-1bookworm) bookworm; urgency=high

  * Fix launch substitutions for ign_args (#309 <https://github.com/gazebosim/ros_gz/issues/309>)
    * Fix launch substitutions for ign_args
  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 11 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.6-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 13 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.5-1bookworm) bookworm; urgency=high

  * Fix missing msgs include and packages.xml deps (#292 <https://github.com/gazebosim/ros_gz/issues/292>)
    * Fix missing msgs include and packages.xml deps
    * Add additional conditions to support gz sim invocation
    * Fix cpplint
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.3-1bookworm) bookworm; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Daisuke Nishimatsu, Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.2-1bookworm) bookworm; urgency=high

  * Support bridging services (#211 <https://github.com/gazebosim/ros_gz/issues/211>)
  * Add std_msgs as dependency of ros_gz_sim (#242 <https://github.com/gazebosim/ros_gz/issues/242>)
  * Fixed ros_gz_sim launch file install directory (#229 <https://github.com/gazebosim/ros_gz/issues/229>) (#230 <https://github.com/gazebosim/ros_gz/issues/230>)
  * Added ign_version launch argument to set ignition gazebo version (#226 <https://github.com/gazebosim/ros_gz/issues/226>)
  * Bring ros2 branch up-to-date with Rolling (#213 <https://github.com/gazebosim/ros_gz/issues/213>)
  * create.cpp usage message fixed for ros2 branch (#207 <https://github.com/gazebosim/ros_gz/issues/207>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Contributors: Alejandro Hernández Cordero, Aryaman Shardul, Ivan Santiago Paunovic, Kenji Brameld, Louise Poubel, Michael Carroll, ahcorde


